avogadro (1.98.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 16:28:00 +0100

avogadro (1.97.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch fix_alpha_transparency_PR262.patch
    - installs metainfo data
  * debian/copyright: add licence entry (CC0-1.0) for appdata metainfo

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jul 2022 10:03:19 +0200

avogadro (1.96.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch fix_alpha_transparency_PR262.patch applies upstream
    PR262 to fix transparency in OpenGL windows. Closes: #1008719.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jun 2022 16:01:59 +0200

avogadro (1.96.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - versioned Build-Depends: libavogadro-dev (>= 1.96~)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jun 2022 12:44:39 +0200

avogadro (1.95.1-2) unstable; urgency=medium

  * Team upload.
  * enable RPC (MoleQueue support)
    - Build-Depends: molequeue, libmolequeue-dev,
      avogadro Recommends: molequeue

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Oct 2021 11:29:53 +0200

avogadro (1.95.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch background_transparency.patch
  * Standards-Version: 4.6.0
  * Internationalization files are placed in debian/avogadro-i18n
    as a git subtree fetched from upstream repo
    https://github.com/OpenChemistry/avogadro-i18n
    - debian patch avogadro-i18n.patch patches source to use it.

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Oct 2021 00:50:23 +0200

avogadro (1.94.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch active_widget_37960b3.patch
  * debian patch background_transparency.patch prevents the main
    window from being transparent (upstream Issue #167)
  * debian/copyright: licence for metadata is CC-1.0
    (for flatpak/org.openchemistry.Avogadro2.metainfo.xml)

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Jun 2021 03:47:51 +0200

avogadro (1.93.0-3) unstable; urgency=medium

  * Team upload.
  * provide /usr/bin/avogadro as a symlink to avogadro2
  * Standards-Version: 4.5.1
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Mar 2021 17:26:16 +0100

avogadro (1.93.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch active_widget_37960b3.patch applies upstream commit
    37960b3 to activate widgets. Closes: #948305.
  * drop --as-needed link flag in debian/rules, now used by default

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Apr 2020 16:05:26 +0800

avogadro (1.93.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: libavogadro-dev (>= 1.93)

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2020 17:30:10 +0800

avogadro (1.91.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jan 2020 10:18:58 +0800

avogadro (1.91.0-1) unstable; urgency=medium

  * Team upload.
  * update debian/watch to new upstream git repo at
    https://github.com/OpenChemistry/avogadroapp
  * New upstream release.
    - update debian/copyright to BSD-3-clause and
      Source: https://github.com/OpenChemistry/avogadroapp
    - drop deprecated patches:
        boost148.patch
        eigen3.patch
        eigen3_lib.patch
        gcc-version.diff
        libmsymfloat.patch
        libsymspg.patch
        link_to_libgl2ps.patch
  * provide avogadro package only.
    python3-avogadro, libavogadro-dev, libavogadro2-1 moved to
    avogadrolibs. avogadro-data is deprecated.
  * Build-Depends: libavogadro-dev (>= 1.90)
  * Build-Depends: libhdf5-dev, qtbase5-dev
  * configure with Avogadro_ENABLE_RPC=OFF (MoleQueue is not available)
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop menu entry (supplied sufficiently by desktop entry,
    see Debian Policy 9.6))

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 11:20:13 +1100

avogadro (1.2.0-4) unstable; urgency=medium

  [ Daniel Leidert ]
  * Adding debian/avogadro.menu

  [ Steffen Möller ]
  * Added RRID to metadata

  [ Andreas Tille ]
  * Homepage is not a defined field for d/u/metadata (any more)

  [ Andrius Merkys ]
  * Updating VCS-* fields.
  * Linking against system-installed libsymspg.
  * Adding copyright information for libmsym and spglib.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 18 Jul 2018 03:47:43 -0400

avogadro (1.2.0-3) unstable; urgency=medium

  * Team upload

  [ Michael Banck ]
  * debian/watch: Updated to Github.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Set Homepage to http://avogadro.cc/ since its obviously moved away from
    sourceforge
  * Standards-Version: 4.1.2, cme fix dpkg-control
  * debhelper 10
  * Drop explicit Priority: extra since packages should be optional
  * Drop menu file since there is a desktop file
  * Build-Depends: dh-python
  * Do not redefine DEB_HOST_MULTIARCH
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 16 Dec 2017 17:49:41 +0100

avogadro (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Update eigen3 patches, pull them from upstream. (Closes: #865085)
  * Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jul 2017 18:19:27 +0200

avogadro (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Merge with experimental.
  * debian/patches/nwchem_input_ccsd.patch: Removed, no longer needed.
  * debian/patches/hurd_ftbfs.patch: Likewise.
  * debian/patches/use_python_include_dirs.patch: Likewise.
  * debian/patches/fix_build_failure.patch: Likewise.
  * debian/patches/libmsymfloat.patch: New patch, fixes a build failure, taken
    from upstrem issue #836 by Henrique Junior.
  * debian/patches/boost148.patch: Updated.
  * debian/patches/link_to_libgl2ps.patch: Likewise.
  * debian/patches/probe-X11-paths-with-find_package.patch: Refreshed.
  * debian/patches/eigen3.patch: Updated, taken from upstream pull request #38.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Oct 2016 10:13:37 +0200

avogadro (1.1.1-1~exp6) experimental; urgency=medium

  * debian/rules (override_dh_strip): Removed target.

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Sep 2016 14:27:43 +0200

avogadro (1.1.1-1~exp5) experimental; urgency=medium

  * debian/changelog: Merge changes from unstable.
  * debian/control: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Sep 2016 11:52:06 +0200

avogadro (1.1.1-1~exp4) experimental; urgency=medium

  * debian/patches/fix-qreal-vs-double.patch: New patch, fixes qreal VS double
    issue, by Peter Green. (Closes: #838733)

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Sep 2016 11:05:55 +0200

avogadro (1.0.3-14) unstable; urgency=medium

  * Acknowledge NMU.
  * debian/patches/boost148.patch: Updated with further hunks skipping
    inclusion of <boost/python.hpp> during MOC runs (Closes: #833770).
  * debian/patches/fix_build_failure.patch: New patch, fixes a build failure,
    taken from the 1.2.0 release.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Sep 2016 14:57:50 +0200

avogadro (1.1.1-1~exp3.1) experimental; urgency=medium

  * Non-maintainer upload.
  * "Fix" GCC version check up to GCC 9. Closes: #812265.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Aug 2016 19:06:58 +0200

avogadro (1.0.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * "Fix" GCC version check up to GCC 9. Closes: #812265.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 11:46:17 +0200

avogadro (1.0.3-13) unstable; urgency=medium

  * Add myself to uploaders.
  * Update eigen3-patch. Drop EIGEN2_SUPPORT.

 -- Anton Gladky <gladk@debian.org>  Sun, 27 Sep 2015 07:56:31 +0200

avogadro (1.0.3-12) unstable; urgency=medium

  * debian/control (libavogadro-dev/Depends): Replaced libeigen2-dev by
    libeigen3-dev.
  * debian/upstream: Move to ...
  * debian/upstream/metadata: ... here.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Fri, 18 Sep 2015 09:57:47 +0200

avogadro (1.0.3-11) unstable; urgency=medium

  * debian/upstream: Added eprint URL.
  * Acknowledge NMU.
  * debian/patches/probe-X11-paths-with-find_package.patch: New patch, fixes
    cmake no longer automatically doing X11 detection, adopted from a patch by
    Andy Whitcroft (Closes: #790859).

 -- Michael Banck <mbanck@debian.org>  Thu, 17 Sep 2015 12:50:24 +0200

avogadro (1.1.1-1~exp3) experimental; urgency=medium

  * [030ee70] Fix eigen3 dependency.

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Sep 2015 15:29:38 +0200

avogadro (1.1.1-1~exp2) experimental; urgency=medium

  * [ff93007] Use eigen3 >>3.3.

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Sep 2015 13:42:01 +0200

avogadro (1.1.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * Fix compilation against eigen3.3. (Closes: #786355)
    Thanks to Kirill Okhotnikov for assistance.
  * Use libeigen3-dev instead of libeigen2-dev. (Closes: #776914)
  * Merge Ubuntu-changes.

 -- Anton Gladky <gladk@debian.org>  Wed, 09 Sep 2015 20:38:14 +0200

avogadro (1.1.1-0ubuntu5) wily; urgency=low

  * cmake QT search no longer automatically loads X11 detection, load
    it manually.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 10 Aug 2015 20:49:07 +0100

avogadro (1.1.1-0ubuntu4) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 12:26:37 +0100

avogadro (1.1.1-0ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 23:36:06 +0100

avogadro (1.1.1-0ubuntu2) trusty; urgency=medium

  * No-change rebuild against sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Mar 2014 15:07:23 +0400

avogadro (1.1.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 11:10:29 +0000

avogadro (1.1.0-4ubuntu2) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:20:09 +0000

avogadro (1.1.0-4ubuntu1) trusty; urgency=low

  * Merge from debian, remaining changes
    - Add libpython2.7-dev libboost-python-dev to libavogadro-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 28 Nov 2013 17:50:48 +0100

avogadro (1.0.3-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace eigen2 by eigen3. (Closes: #728610)

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Nov 2013 16:28:19 +0100

avogadro (1.1.0-4) experimental; urgency=low

  [ Daniel Leidert ]
  * debian/rules (override_dh_auto_configure): Drop setting of
    -DPYTHON_INCLUDE_DIRS and fix the FTBFS too (really closes: #710703).
  * debian/patches/use_python_include_dirs.patch: Reverted to 1.1.0-2.
  * debian/patches/series: Don't use the use_python_include_dirs.patch patch.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 02 Jun 2013 21:39:03 +0200

avogadro (1.0.3-10) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/rules (override_dh_auto_configure): Drop setting of
    -DPYTHON_INCLUDE_DIRS. This didn't work on other architectures than amd64.
  * debian/patches/series: Don't use the use_python_include_dirs.patch patch.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 02 Jun 2013 14:55:17 +0200

avogadro (1.0.3-9) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/rules (override_dh_auto_configure): Try to fix the recently
    introduced FTBFSes (really closes: #710703).
  * debian/patches/use_python_include_dirs.patch: Reverted to 1.0.3-7.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 02 Jun 2013 02:30:46 +0200

avogadro (1.1.0-3) experimental; urgency=low

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/rules: Try to fix an FTBFS if several Python versions are installed
    (closes: Bug#710703) and don't FTBFS if there is no multi-arch Python.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 01 Jun 2013 23:50:49 +0200

avogadro (1.0.3-8) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/rules: Try to fix an FTBFS if several Python versions are installed
    (closes: Bug#710703) and don't FTBFS if there is no multi-arch Python.
  * debian/patches/use_python_include_dirs.patch: Updated.
    - Removed patch to cmake/modules/PythonDeps.cmake.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 01 Jun 2013 23:28:47 +0200

avogadro (1.1.0-2) experimental; urgency=low

  [ Daniel Leidert ]
  * debian/rules (CPPFLAGS, LDFLAGS): Added -fPIC to fix FTBFS.
  * debian/patches/use_python_include_dirs.patch: Minor fix to FindSIP.cmake
    to fix FTBFS.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 30 May 2013 00:09:24 +0200

avogadro (1.0.3-7) unstable; urgency=low

  [ Daniel Leidert ]
  * Ack NMU.
  * debian/rules: Prepare for Python multiarch.
    (override_dh_auto_configure): Adjusted likewise.
  * debian/patches/use_python_include_dirs.patch: Enabled (closes: #708639).
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 30 May 2013 00:04:44 +0200

avogadro (1.0.3-6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix to build with the libpython multiarch location.

 -- Matthias Klose <doko@debian.org>  Fri, 17 May 2013 14:40:59 +0200

avogadro (1.1.0-1) experimental; urgency=low

  * New upstream release (LP: #1155529).

  [ Daniel Leidert ]
  * debian/avogadro-data.install: Added crystals directory.
  * debian/control: Added a package for debugging symbols.
    (Vcs-Browser, Vcs-Svn): Fixed location.
  * debian/libavogadro-dev.install: Added pkg-config file.
  * debian/rules: Enable debug package and remove python specific stuff.
  * debian/watch: Catch experimental releases.
  * debian/patches/hurd_ftbfs.patch: Removed (not applicable).
  * debian/patches/nwchem_input_ccsd.patch: Dropped (applied upstream).
  * debian/patches/boost148.patch: Updated.
  * debian/patches/link_to_libgl2ps.patch: Updated.
  * debian/patches/use_python_include_dirs.diff: Renamed to 
    debian/patches/use_python_include_dirs.patch, updated and enabled.
  * debian/patches/series: Updated.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Mon, 13 May 2013 23:06:32 +0200

avogadro (1.0.3-6) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Dropped DM-Upload-Allowed field.
    (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Depends): Added non-versioned dependencies to python-numpy, python-qt4
    and python-sip (see #679819).
  * debian/copyright: Added a hint about the text found in some files in the
    testfile directory (closes: #643921). 
  * debian/rules: Removed code to generate versioned dependencies to
    python-numpy, python-qt4 and python-sip. Enable hardening.
  * debian/watch: Minor update to catch bzip2 compressed tarballs and ignore
    experimental releases.
  * debian/patches/use_python_include_dirs.diff: Added based on the patch by
    Ubuntu.

  [ Michael Banck ]
  * debian/upstream: Added reference. 

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 12 May 2013 21:30:52 +0200

avogadro (1.0.3-5ubuntu10) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:37 +0100

avogadro (1.0.3-5ubuntu9) saucy; urgency=low

  * Do the same with libboost-python-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 17 Aug 2013 16:57:02 +0200

avogadro (1.0.3-5ubuntu8) saucy; urgency=low

  * Add dependency on libpython2.7-dev to libavogadro-dev as cmake expects it
    to be there

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 17 Aug 2013 15:35:14 +0200

avogadro (1.0.3-5ubuntu7) saucy; urgency=low

  * Make avogadro look for python-py27 boost library, fixing FTBFS.
  * Force using python2.7 via Python_ADDITIONAL_VERSIONS

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Aug 2013 13:13:44 +0100

avogadro (1.0.3-5ubuntu6) saucy; urgency=low

  * Rebuild against sip-api-10

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 11:16:36 -0400

avogadro (1.0.3-5ubuntu5) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:39 +0100

avogadro (1.0.3-5ubuntu4) raring; urgency=low

  * Add support for multiarch python:
    - add use_python_include_dirs.diff to use PYTHON_INCLUDE_DIRS
      instead of PYTHON_INCLUDE_PATH and drop shipped FindPythonLibs.cmake
      in favour of the system one.
    - don't specify the python library and include path by hand in rules

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Dec 2012 10:07:35 +0100

avogadro (1.0.3-5ubuntu3) raring; urgency=low

  * Rebuild against sip-api-9.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 09:29:53 +0000

avogadro (1.0.3-5ubuntu2) quantal; urgency=low

  * No change rebuild with the new glew

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Aug 2012 17:29:15 +0200

avogadro (1.0.3-5ubuntu1) quantal; urgency=low

  * Apply patch from Debian bug #679819:
    Drop semi-obsolete use of version specify python packages to restore
    installability (python-qt4 stopped providing one of the required packages).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Jul 2012 16:21:22 -0400

avogadro (1.0.3-5) unstable; urgency=low

  * debian/control (Uploaders): Removed Jordan Mantha. Thanks for your work.
    (Build-Depends): Use libglew-dev.
    (Depends): Let libavogadro-dev depend on libglew-dev.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 06 Jun 2012 22:54:58 +0200

avogadro (1.0.3-4) unstable; urgency=low

  [ Michael Banck ]
  * Acknowledge NMU. 
  * debian/patches/hurd_ftbfs.patch: New patch, fixing build on hurd-i386,
    thanks to Pino Toscano.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Added versioned dependency on python-numpy.
  * debian/rules (override_dh_python2): Added call to dh_numpy to fix lintian
    error.
  * debian/upstream: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 04 Jun 2012 21:55:51 +0200

avogadro (1.0.3-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * patches/boost148.patch: New.  Work around moc limitation.  Closes:
    #653625.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 05:36:13 -0600

avogadro (1.0.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Added libgl2ps-dev.
  * debian/patches/link_to_libgl2ps.patch: Added.
    - Link with -lgl2ps instead of compiling and linking the internal copy.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 05 Dec 2011 22:20:31 +0100

avogadro (1.0.3-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/copyright: Explicitly state the 3-clause BSD license for the cmake
    module files.
  * debian/rules, debian/control: Convert to dh_python2, thanks to Barry
    Warsaw (Closes: #616742)
  * debian/patches/nwchem_input_ccsd.patch: New patch, fixes NWChem input
    extension input file generation for the CCSD method.

  [ Daniel Leidert ]
  * debian/avogadro.install: Install missing avopkg tool.
  * debian/compat: Increased dh compatibility level.
  * debian/control: Set X-Python-Version to 'current'. Use wrap-and-sort
    for *Depends* and Uploaders.
    (Build-Depends): Removed cdbs and patchutils. Increased required debhelper
    version.
    (Standards-Version): Bumped to 3.9.2.
    (Vcs-Browser): Point to real location.
    (Description): Fixed a typo reported by lintian.
    (Conflicts): Changed conflicts-with-version warning into Breaks.
  * debian/copyright: Minor update.
  * debian/pycompat: Dropped obsolete file.
  * debian/rules: Rewritten for debhelper 7.
  * debian/patches/nwchem_input_ccsd.patch: Added patch documentation.
  * debian/patches/series: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 04 Dec 2011 23:59:34 +0100

avogadro (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/install_translations.patch: Removed, applied upstream.
  * debian/source/format: New file, switching to 3.0/quilt.

 -- Michael Banck <mbanck@debian.org>  Mon, 25 Apr 2011 19:26:20 +0200

avogadro (1.0.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash on Undo after erasing of any atom with attached Hs 
      (Closes: #602388).
  * debian/avogadro.install: Explicitly install /usr/bin/avogadro, avoiding
    avopkg.
  * debian/libavogadro-dev.install: Move avogadro.prf from /usr/features to
    /usr/share/qt4/mkspecs.
  * debian/patches/install_translations.patch: New file, fix installation of
    translations, taken from upstream.
  * debian/control (Build-Depends): Removed sip4.
  * debian/control (Standards-Version): Bumped to 3.9.1.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Apr 2011 01:00:16 +0200

avogadro (1.0.1-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/avogadro.install: Install manual pages from upstream.
  * debian/avogadro.manpages,
    debian/avogadro.1: Dropped in favour of upstream manual pages.
  * debian/libavogadro-dev.install: Install .prf file for QMake projects.

  [ Michael Banck ]
  * debian/rules (DEB_DH_GENCONTROL_ARGS_python-avogadro): Replace
    python$(PYVER)-sip4 by python$(PYVER)-sip (Closes: #581972). 
  * debian/rules (binary-install/python-avogadro): Added dh_sip.
  * debian/control (python-avogadro/Depends): Added ${sip:Depends}.
  * debian/control (Build-Depends): Replaced python-sip4-dev by
    python-sip-dev.

 -- Michael Banck <mbanck@debian.org>  Wed, 19 May 2010 18:35:43 +0200

avogadro (1.0.1-2) unstable; urgency=low

  * debian/rules (DEB_CMAKE_EXTRA_FLAGS): Define PYTHON_EXECUTABLE,
    PYTHON_LIBRARY and PYTHON_INCLUDE_DIR in order to make sure the correct
    version of python is used in case several are co-installed, thanks to
    Jakub Wilk (Closes: #577439).

 -- Michael Banck <mbanck@debian.org>  Fri, 07 May 2010 15:05:07 +0200

avogadro (1.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash when importing PDB files via network (Closes: #570230).
  * debian/patches/sip_4.10_support.patch: Removed, applied upstream.
  * debian/control (Build-Depends):  Bump required libqt4-dev version to
    4.5.0, as per CMakeLists.txt.

 -- Michael Banck <mbanck@debian.org>  Wed, 05 May 2010 17:57:59 +0200

avogadro (1.0.0-3) unstable; urgency=low

  [ Jordan Mantha ]
  * debian/python-avogadro.install: use wildcard to catch both site-packages
    and dist-packages python directories.

  [ Michael Banck ]
  * debian/patches/sip_4.10_support.patch: New patch, recognize new SIP
    version, taken from upstream (closes: #569438).

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Feb 2010 23:33:54 +0100

avogadro (1.0.0-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/libavogadro0.install: Wildcard the API directory.
  * debian/libavogadro-dev.install: Likewise.
  * debian/libavogadro0.install: Renamed to ...
  * debian/libavogadro1.install: ... this.
  * debian/control (libavogadro0): Renamed package to libavogadro1.  Update
    all references.
  * debian/rules: Likewise.
  * debian/control (libavogadro1): Replace and Conflict with libavogadro0.
  * debian/control (avogadro-data): New package.
  * debian/control (avogadro): Recommend avogadro-data.
  * debian/control (libavogadro1): Likewise.
  * debian/libavogadro1.install: No longer ship /usr/share/libavogadro.
  * debian/avogadro.install: Only ship i18n directory from
    /usr/share/avogadro.
  * debian/avogadro-data.install: New file.
  * debian/python-avogadro.install: Install wireframe.py explicitly
    ommitting example.py (closes: #555627).
  * debian/libavogadro-dev.install: Ship AvogadroBuildSettings.cmake,
    AvogadroLibraryDeps.cmake and AvogadroUse.cmake as well.
  * debian/control (avogadro-date): Replace and Conflict with prior versions
    of the avogadro and libavogadro0 packages.
  * debian/python-avogadro.dirs: New file.

  [ Daniel Leidert ]
  * debian/python-avogadro.files: Dropped.
  * debian/python-avogadro.install: Install scripts from debian/tmp.
  * debian/rules (binary-install/python-avogadro): Adjusted for changes above.

 -- Michael Banck <mbanck@debian.org>  Fri, 13 Nov 2009 19:57:07 +0100

avogadro (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/sip_4.9_support.patch: Removed, applied upstream.
  * debian/patches/fix_empty_second_window.patch: Likewise.
  * debian/patches/fix_molpro_input_generator.patch: Likewise.
  * debian/libavogadro0.install: Adjust for additional API directory.
  * debian/libavogadro-dev.install: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 23 Oct 2009 23:59:03 +0200

avogadro (0.9.9-1) unstable; urgency=low

  * New upstream release.
    + Fixes german umlauts in the interface (closes: #538075).

  [ Michael Banck ]
  * debian/patches/vibrations_ordering.patch: Removed, applied upstream.
  * debian/patches/sip_4.9_support.patch: New patch, recognize new SIP
    version, taken from upstream (closes: #551244).
  * debian/rules (binary-fixup/python-avogadro): Removed rule, no longer
    needed.
  * debian/libavogadro0.install: Put extensions, engines and tools into
    library package.
  * debian/libavogadro-dev.install: Put cmake files into development package.
  * debian/avogadro.install: No longer put /usr/lib/avogadro into application
    package.
  * debian/patches/fix_empty_second_window.patch: New patch, fixes opening an
    empty second window when Avogadro gets opened with a molecule, taken from
    upstream.
  * debian/patches/fix_molpro_input_generator.patch: New patch, makes the
    Molpro input generator work again, taken from upstream.

  [ Daniel Leidert ]
  * debian/control: Added python-avogadro package (closes: #513441).
    (Build-Depends): Added python-dev and python-central. Increase dh version
    to >= 5.0.38 for the latter.
    (Standrads-Version): Bumped to 3.8.3.
    (Depends): Move Python (module) dependencies to python-avogadro.
    (Recommends): Let libavogadro0 recommend python-avogadro.
  * debian/rules: Added targets and rules to create new python-avogadro
    package. Make sure we comply to the Python policy and depend on
    pythonX.Y-foo for the moment.
  * debian/libavogadro0.install: Don't install Python module.
  * debian/pycomat: Added with compat leven 2.
  * debian/python-avogadro.files: Added to move Python scripts over to
    python-avogadro.
  * debian/python-avogadro.install: Added to install Python module.

 -- Michael Banck <mbanck@debian.org>  Thu, 22 Oct 2009 14:44:53 +0200

avogadro (0.9.7-1ubuntu2) karmic; urgency=low

  * Build with -DENABLE_PYTHON=OFF, Python bits do not build with Sip 4.9

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2009 00:55:35 +0100

avogadro (0.9.7-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - debian/control: Replace dependency on python2.5 with python2.6.
    - debian/libavogadro0.install: Install the Python 2.6 extension.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 20 Jul 2009 11:12:09 +0200

avogadro (0.9.7-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/rules (binary-fixup/libavogadro0): Don't install
    extensionScripts/example.py for the moment (closes: #536281).

  [ Michael Banck ]
  * debian/patches/orbitalextension_link_zlib.patch: Removed, applied
    upstream.
  * debian/patches/sip_4.8_support.patch: Likewise.
  * debian/control (Build-Depends): Removed libboost-python1.37-dev and
    libboost-python1.38-dev, added qt4-dev-tools.
  * debian/avogadro.examples: New file.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jul 2009 17:34:22 +0200

avogadro (0.9.6-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - debian/libavogadro0.install: Install the Python 2.6 extension.
    - debian/control: Don't depend on python2.5, use python2.6 instead. 

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 29 Jun 2009 09:09:30 +0200

avogadro (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/ignore_f_orbitals.patch: Removed, applied upstream.
  * debian/patches/ignore_missing_intensities.patch: Likewise.
  * debian/patches/molpro_orbitals.patch: Likewise.
  * debian/patches/install_desktop_on_kfreebsd.patch: Likewise.
  * debian/libavogadro0.install: Wildcard python directory, the old
    "Avogadro.so" no longer matches.
  * debian/control (Build-Depends): Added zlib1g-dev.
  * debian/patches/orbitalextension_link_zlib.patch: New patch, fixes build
    failure due to a missing link to zlib, taken from upstream.
  * debian/rules (DEB_CMAKE_EXTRA_FLAGS): Added -DENABLE_UPDATE_CHECKER=OFF.
  * debian/patches/vibrations_ordering.patch: New patch, fixing sorting of
    vibrations, taken from upstream.
  * debian/patches/sip_4.8_support.patch: New patch, adding support for
    python-sip4-4.8 (closes: #533939).
  * debian/control (Build-Depends): Added sip4, needed by the build system to
    detect the sip4 version.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Jun 2009 19:01:36 +0200

avogadro (0.9.4-3) unstable; urgency=low

  * debian/avogadro.install: Include the .desktop file (closes: #528166).
  * debian/patches/install_desktop_on_kfreebsd.patch: Added.
    - avogadro/src/CMakeLists.txt: Install .desktop file and icon on kfreebsd
      too to avoid an FTBFS.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 14 May 2009 19:03:30 +0200

avogadro (0.9.4-2ubuntu1) karmic; urgency=low

  * Fix FTBFS due to change of phython default from 2.5 to 2.6 (LP: #372576)  
  * debian/libavogadro0.install: update to install the Avogadro.so python2.6 extension
  * debian/control: update libavogadro0 dependency on python2.6 

 -- Manny Vindiola <mannyv@gmail.com>  Wed, 06 May 2009 02:11:52 -0400

avogadro (0.9.4-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/avogadro.desktop: Dropped. Upstream installs a valid one now.
  * debian/avogadro.install: Don't install self-written .desktop file over the
    one installed by upstream and install missing icon.
  * debian/control (Build-Depends): (Re-)Add Boost 1.37 as alternative to 1.38
    for Ubuntu.
  * debian/rules: Removed hardcoded CC and CXX definitions. Set
    LDFLAGS += -Wl,-z,defs -Wl,--as-needed.
    (get-orig-source): Dropped (we don't need a special target for this).
  * debian/copyright: Minor updates and cosmetics.

  [ Michael Banck ]
  * debian/control (Description): Updated to reflect recent feature additions.  
  * debian/patches/ignore_missing_intensities.patch: New patch, takes into
    account missing intensity information for vibrations so that Avogadro no
    longer crashes, taken from upstream.

 -- Michael Banck <mbanck@debian.org>  Tue, 05 May 2009 15:14:54 +0200

avogadro (0.9.4-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Use Boost 1.38.
    (Standards-Version): Bumped to 3.8.1 (no other changes).
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debain/rules (DEB_CMAKE_EXTRA_FLAGS): Disable rpath support.

  [ Michael Banck ]
  * debian/patches/molpro_orbitals.patch: Updated.
  * debian/patches/ignore_f_orbitals.patch: New patch, tries to properly
    ignore f-type orbitals when calculating molecular orbitals.

 -- Jordan Mantha <laserjock@ubuntu.com>  Sun, 03 May 2009 19:52:02 -0700

avogadro (0.9.3-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Build-depend on boost1.37.
    (Priority): libavogadro-dev must be priority extra as libeigen2-dev is,
    see Debian policy section 2.5.

  [ Jordan Mantha ]
  * debian/libavogadro0.install: install the Avogadro.so python extension
  * debian/control: add libavogadro0 dependency on python2.5 for extension

  [ Michael Banck ]
  * debian/patches/molpro_orbitals.patch: New patch, adds support for MOLPRO
    molecular orbitals. 

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Apr 2009 16:11:30 +0200

avogadro (0.9.2-1) unstable; urgency=low

  * New upstream release 0.9.2.

  * debian/control (Uploaders): Added myself.
    (Section): Fixed binary-control-field-duplicates-source.
    (Build-Depends): Use boost 1.35.
  * debian/copyright: Updated and completed.
  * debian/rules: List missing (not-installed) files.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 06 Mar 2009 16:06:16 +0100

avogadro (0.9.0-2) experimental; urgency=low

  * debian/control: added python-sip4-dev for complete python support
  * debian/avogadro.1: (thanks Daniel Leidert)
     - typo fix and a few nit-picking formatting changes

 -- Jordan Mantha <laserjock@ubuntu.com>  Fri, 23 Jan 2009 21:01:16 -0800

avogadro (0.9.0-1) experimental; urgency=low

  * remove patches included upstream:
    - 01_AddHydrogens.patch
    - 10_QVarLengthArray.patch
    - 11_ExportGraphics.patch
  * debian/control - update dependencies:
     - bump Qt version
     - switch from eigen to eigen2
     - drop -1 from openbabel dependency
     - add python-numpy for python support
     - added libglew1.5-dev for GL shading support
  * debian/rules - add cmake flag to turn on GL shadding support
  * debian/control - fix lintian warnings:
     - add ${misc:Depends} to libavogadro0 and libavogadro-dev
     - s/python/Python/ in long description
     - added manpage, avogadro.1

 -- Jordan Mantha <laserjock@ubuntu.com>  Thu, 22 Jan 2009 10:43:40 -0800

avogadro (0.8.1-5) unstable; urgency=low

  * add patches/11_ExportGraphics.patch
    fixes graphics export, by Tim Vandermeersch (Closes: #507046)
  * debian/control: Updated descriptions
  * debian/control: Added VCS-* links.

 -- Michael Banck <mbanck@debian.org>  Mon, 01 Dec 2008 01:42:41 +0100

avogadro (0.8.1-4) unstable; urgency=low

  * Upload to unstable
  * debian/control: Bump cmake build dependency to 2.6.0 to work around
    bug #479907 (Closes: #488990)

 -- Jordan Mantha <laserjock@ubuntu.com>  Thu, 24 Jul 2008 12:15:32 -0700

avogadro (0.8.1-3) experimental; urgency=low

  * debian/control:
    - bump standards version to 3.8.0 (no changes needed)
    - bump openbabel dependency to >= 2.2.0-1

 -- Jordan Mantha <laserjock@ubuntu.com>  Mon, 14 Jul 2008 21:07:23 -0700

avogadro (0.8.1-2) experimental; urgency=low

  * add debian/patches/10_QVarLengthArray.patch
    from upstream r1513. fixes Align/Measure tool crash

 -- Jordan Mantha <laserjock@ubuntu.com>  Wed, 02 Jul 2008 15:18:55 -0700

avogadro (0.8.1-1) experimental; urgency=low

  * New upstream release
  * add debian/avogadro.desktop
  * debian/avogadro.install:
    - install avogadro.desktop, avogadro.png, and avogadro.xpm
  * add avogadro.menu
  * debian/control:
    - update minimum versions of qt (4.3.4) and cmake (2.4.7) and openbabel
      (2.2.0~beta6~r2551-2)
    - add build dependency on libboost-python-dev to enable python terminal
    - remove unneeded python-dev build dependency
    - add build dependency on patchutils for simple-patchsys
    - add python-qt4 depdency for python console garbage collection
    - strict dependency on libavogadro0 for avogadro (${binary:Version})
    - update libavogadro-dev dependencies
  * debian/rules:
    - include simple-patchsys CDBS rule
  * debian/patches/:
    - added 01_AddHydrogens.patch to fix openbabel/avogadro argument
      mismatch
  * debian/watch: update to use gzipped rather than b2ziped tarballs.

 -- Jordan Mantha <laserjock@ubuntu.com>  Sat, 28 Jun 2008 15:12:07 -0700

avogadro (0.8.0-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    - add build dependency on pkg-config, python-dev and libqt4-opengl-dev

 -- Jordan Mantha <mantha@ubuntu.com>  Fri, 23 May 2008 18:49:09 -0700

avogadro (0.6.1-1) experimental; urgency=low

  * New upstream release

 -- Jordan Mantha <mantha@ubuntu.com>  Sun, 09 Mar 2008 06:16:09 +0000

avogadro (0.6.0-1) experimental; urgency=low

  * Initial release. (Closes: #450814)

 -- Jordan Mantha <mantha@ubuntu.com>  Mon, 03 Mar 2008 14:44:29 -0800

